Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.beans
Class OperationActionSpecification

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.core.beans.OperationActionSpecification

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieOperationActionSpecification

    public class OperationActionSpecification

extends TieSystemObject

A OperationActionSpecification specifies the OperationAction used to custom the behavior of operations.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` The name of the attribute that holds a textual description of the OperationActionSpecification.
`static java.lang.String` | `INTERNAL_ATTRIBUTE` The name of the attribute that indicates whether the OperationAction reference implements the internal interface.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the attribute that holds the name of this OperationActionSpecification.
`static java.lang.String` | `OPERATIONACTIONCLASSNAME_ATTRIBUTE` The name of the attribute that holds fully-qualified class name of the OperationAction class.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `OperationActionSpecification(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a OperationActionSpecification object.

Method Summary
`static OperationActionSpecification[]` | `findAll(LibrarySession session)` Returns the set of defined OperationActionSpecifications.
`static OperationActionSpecification` | `findByName(LibrarySession session, java.lang.String name)` Returns the a OperationActionSpecification matching the specified name.
`java.lang.String` | `getDescription()` Gets the description of this OperationActionSpecification.
`OperationAction` | `getOperationAction()` Gets the OperationAction instance implementation corresponding to the OperationActionClassName.
`java.lang.String` | `getOperationActionClassName()` Gets the fully-qualified class name of the OperationAction class.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`boolean` | `hasNameAttribute()` Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.
`boolean` | `isInternal()` Gets the indication as to whether the OperationAction reference implements the internal interface.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `OperationActionSpecification`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `OperationActionSpecification`
  The name of the attribute that holds the name of this OperationActionSpecification. (String[700])

  See Also:
    Constant Field Values

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `OperationActionSpecification`
  The name of the attribute that holds a textual description of the OperationActionSpecification. (String[2000])

  See Also:
    Constant Field Values

### OPERATIONACTIONCLASSNAME_ATTRIBUTE

    public static final java.lang.String OPERATIONACTIONCLASSNAME_ATTRIBUTE

  Description copied from class: `OperationActionSpecification`
  The name of the attribute that holds fully-qualified class name of the OperationAction class. (String[700])

  See Also:
    Constant Field Values

### INTERNAL_ATTRIBUTE

    public static final java.lang.String INTERNAL_ATTRIBUTE

  Description copied from class: `OperationActionSpecification`
  The name of the attribute that indicates whether the OperationAction reference implements the internal interface. (Boolean)

  See Also:
    Constant Field Values

Constructor Detail

### OperationActionSpecification

    protected OperationActionSpecification(LibrarySession session,
                                           java.lang.Long id,
                                           java.lang.Long classId,
                                           S_LibraryObjectData data)
                                    throws IfsException

  Constructs a OperationActionSpecification object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `LibraryObject`
  Returns true if this object is an instance of a class that has a NAME attribute, and false otherwise.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true if the object has a NAME attribute.
  Throws:
    `IfsException` - if operation fails.

### getDescription

    public java.lang.String getDescription()
                                    throws IfsException

  Description copied from class: `OperationActionSpecification`
  Gets the description of this OperationActionSpecification.

  Returns:
    the object description
  Throws:
    `IfsException` - if operation fails

### getOperationActionClassName

    public java.lang.String getOperationActionClassName()
                                                 throws IfsException

  Description copied from class: `OperationActionSpecification`
  Gets the fully-qualified class name of the OperationAction class.

  Returns:
    the class name of the OperationAction
  Throws:
    `IfsException` - if operation fails

### isInternal

    public boolean isInternal()
                       throws IfsException

  Description copied from class: `OperationActionSpecification`
  Gets the indication as to whether the OperationAction reference implements the internal interface.

  Returns:
    true if OperationAction implements internal interface false otherwise
  Throws:
    `IfsException` - if operation fails

### findAll

    public static OperationActionSpecification[] findAll(LibrarySession session)
                                                  throws IfsException

  Description copied from class: `OperationActionSpecification`
  Returns the set of defined OperationActionSpecifications.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of OperationActionSpecifications; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static OperationActionSpecification findByName(LibrarySession session,
                                                          java.lang.String name)
                                                   throws IfsException

  Description copied from class: `OperationActionSpecification`
  Returns the a OperationActionSpecification matching the specified name.

  OperationActionSpecification names are case sensitive, so this operations requires an exact match with respect to case.

  Parameters:
    `session` - the session context
    `name` - the OperationActionSpecification name
  Returns:
    the OperationActionSpecification matching the specified name; or null if there exists no matching OperationActionSpecification
  Throws:
    `IfsException` - if the operation fails.

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `LibraryObject`
  Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

  This method is typically overridden by subclasses that perform other operations prior to the target object being freed in order to all delete or modify objects related to the target object. Subclasses are expected to invoke `super.preFree`.

  Overrides:
    `preFree` in class `LibraryObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation
  Throws:
    `IfsException` - if operation fails.

### getOperationAction

    public final OperationAction getOperationAction()
                                             throws IfsException

  Description copied from class: `OperationActionSpecification`
  Gets the OperationAction instance implementation corresponding to the OperationActionClassName.

  This implementation is cached for use by the session associated with this instance. There is no guarantee that there is only one implementation in use for the session if the session is used in multiple threads.

  Returns:
    the OperationAction implementation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `LibraryObject`
  Handles the specified event.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Overrides:
    `handleEvent` in class `LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD